Skip to content

List Audit Entries

GET
/api/v1/audit-log
curl --request GET \
--url 'https://api.ultimateteam.ai/api/v1/audit-log?page=1&page_size=50' \
--header 'X-API-Key: <X-API-Key>'

Return a page of tenant audit entries.

Permission: SYSTEM_VIEW (chairman / operator / viewer). Tenant scope is the caller’s tenant – cross-tenant lookups return an empty list (no 403, no 404).

page
Page
integer
default: 1 >= 1
page_size
Page Size
integer
default: 50 >= 1 <= 500
actor_id
Any of:
string format: uuid
action_type
Any of:
string

Comma-separated list of AuditAction values

from_date
Any of:
string format: date-time
to_date
Any of:
string format: date-time

Successful Response

Media typeapplication/json
AuditLogPage

Paginated audit log envelope.

object
entries
Entries
Array<object>
AuditEntryResponse

One audit entry as serialised on the wire.

object
action_type
required
Action Type
string
actor_user_id
Any of:
string
after_json
Any of:
object
key
additional properties
any
before_json
Any of:
object
key
additional properties
any
created_at
required
Created At
string
entry_hash
required
Entry Hash
string
id
required
Id
string
ip_address
Any of:
string
prev_hash
required
Prev Hash
string
target_id
Any of:
string
target_type
required
Target Type
string
tenant_id
required
Tenant Id
string
user_agent
Any of:
string
page
Page
integer
default: 1
page_size
Page Size
integer
default: 50
total
Total
integer
0
Example
{
"page": 1,
"page_size": 50,
"total": 0
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}